Linux rescue
===

What do you do when shit hits the fan?

https://www.reddit.com/r/NixOS/comments/6ist8h/nixos_randomly_stops_working/ - update kernel

## running out of memory
https://www.reddit.com/r/linux/comments/6gch69/regain_control_of_your_unresponsive_linux_desktop/ | Regain control of your unresponsive Linux desktop computer when it is frozen. : linux
https://serverfault.com/questions/295335/how-to-prevent-going-to-swap | linux - How to prevent going to SWAP? - Server Fault
https://serverfault.com/questions/390623/how-do-i-prevent-linux-from-freezing-when-out-of-memory/390626#390626 | oom - How do I prevent Linux from freezing when out of memory? - Server Fault
